#
# spec file for package adwaita-qt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# Allow to disable qt4
%if 0%{?is_opensuse} || 0%{?is_backports} || 0%{?suse_version} < 1500
%bcond_without qt4
%else
%bcond_with qt4
%endif

Name:           adwaita-qt
Version:        1.0
Release:        lp150.1.2
Summary:        Adwaita theme for Qt-based applications
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/GNOME
Url:            https://github.com/MartinBriza/adwaita-qt
Source0:        https://github.com/MartinBriza/adwaita-qt/archive/%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
%if %{with qt4}
BuildRequires:  libqt4-devel
%endif
BuildRequires:  libqt5-qtbase-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Theme to let Qt applications fit nicely into GNOME desktop.

%package -n adwaita-qt4
Summary:        Adwaita Qt4 theme
Supplements:    packageand(libqt4:gnome-session)

%description -n adwaita-qt4
Adwaita theme variant for applications utilizing Qt4

%package -n adwaita-qt5
Summary:        Adwaita Qt5 theme
Supplements:    packageand(libQt5Core5:gnome-session)

%description -n adwaita-qt5
Adwaita theme variant for applications utilizing Qt5

%prep
%setup -q

%build
%if %{with qt4}
# Qt4 build and install
%cmake -DUSE_QT4=ON
make %{?_smp_mflags}
cd ..
%cmake_install
%endif

# Qt5 build
rm -rf build
%cmake -DUSE_QT4=OFF
make %{?_smp_mflags}

%install
# Qt5 install
%cmake_install

%if %{with qt4}
%files -n adwaita-qt4
%defattr(-,root,root)
%license LICENSE.LGPL2
%doc README.md
%dir %{_libdir}/qt4/plugins/styles
%{_libdir}/qt4/plugins/styles/adwaita.so
%endif

%files -n adwaita-qt5
%defattr(-,root,root)
%license LICENSE.LGPL2
%doc README.md
%dir %{_libdir}/qt5/plugins/styles
%{_libdir}/qt5/plugins/styles/adwaita.so

%changelog
* Thu Feb 22 2018 fcrozat@suse.com
- Do not build with Qt4 on SLE15.
- Use the new license tag for license files.
* Fri Aug 11 2017 fcrozat@suse.com
- Update to version 1.0 (no changelog but only theming
  improvements).
- common subpackage no longer exists.
* Tue Mar  8 2016 tchvatal@suse.com
- Fix license
- Remove pointless requires
* Mon Mar  7 2016 tchvatal@suse.com
- Add supplements to libqt{4,5} and gnome-session
* Mon Mar  7 2016 tchvatal@suse.com
- Tweak a bit so it builds for me
* Thu Jul 30 2015 zaitor@opensuse.org
- Initial build.
